<template>
    <div class="uk-flex uk-flex-center">
        <button
            class="uk-button uk-button-default"
            :class="classReussi"
            @click="changerResultat(true)"
        >
            Réussi
        </button>
        <button
            class="uk-button uk-button-default uk-margin-small-left"
            :class="classEchec"
            @click="changerResultat(false)"
        >
            Echec
        </button>
    </div>
</template>

<script lang="ts">
import Vue from 'vue';
import Component from 'vue-class-component';
import { getInstanceEtatEdition } from './EtatEdition';
@Component
export default class ChoisirValeurPossibilite extends Vue {
    private etatEdition: Record<string, any>;
    private resultat = false;

    created() {
        this.etatEdition = getInstanceEtatEdition();
        this.$root.$on(
            'modifierPosition',
            () => (this.resultat = this.getResultatAffiche())
        );
        this.$root.$on(
            'initPosition',
            () => (this.resultat = this.getResultatAffiche())
        );
    }

    mounted() {
        this.resultat = this.etatEdition.possibiliteEnCours.getResultat();
    }

    private getResultatAffiche(): boolean {
        return this.etatEdition.possibiliteEnCours.getResultat();
    }
    public get classReussi(): string {
        return this.resultat ? 'reussi' : '';
    }

    public get classEchec(): string {
        return this.resultat ? '' : 'echec';
    }

    private changerResultat(resultat: boolean) {
        this.etatEdition.modifierResultatPossibilite(resultat);
        this.resultat = resultat;
        this.$emit('modifierResultatPossibilite');
    }
}
</script>

<style scoped>
.reussi {
    border-color: lightgreen;
    border-width: 2px;
}
.echec {
    border-color: red;
    border-width: 2px;
}
</style>
